org.apache.nutch.webui.client.impl

## Class NutchClientImpl

- java.lang.Object
- - org.apache.nutch.webui.client.impl.NutchClientImpl

- All Implemented Interfaces:
    NutchClient

      public class NutchClientImpl
      extends Object
      implements NutchClient

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NutchClientImpl(NutchInstance instance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createClient()`
    `String` | `createSeed(SeedList seedList)` Create seed list and return seed directory location
    `String` | `executeJob(JobConfig jobConfig)`
    `ConnectionStatus` | `getConnectionStatus()`
    `JobInfo` | `getJobInfo(String jobId)`
    `Map<String,String>` | `getNutchConfig(String config)`
    `NutchInstance` | `getNutchInstance()`
    `NutchStatus` | `getNutchStatus()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchClientImpl

          public NutchClientImpl(NutchInstance instance)

  - ### Method Detail

    - #### createClient

          public void createClient()

    - #### getNutchStatus

          public NutchStatus getNutchStatus()

      Specified by:
        `getNutchStatus` in interface `NutchClient`

    - #### getConnectionStatus

          public ConnectionStatus getConnectionStatus()

      Specified by:
        `getConnectionStatus` in interface `NutchClient`

    - #### executeJob

          public String executeJob(JobConfig jobConfig)

      Specified by:
        `executeJob` in interface `NutchClient`

    - #### getJobInfo

          public JobInfo getJobInfo(String jobId)

      Specified by:
        `getJobInfo` in interface `NutchClient`

    - #### getNutchInstance

          public NutchInstance getNutchInstance()

      Specified by:
        `getNutchInstance` in interface `NutchClient`

    - #### getNutchConfig

          public Map<String,String> getNutchConfig(String config)

      Specified by:
        `getNutchConfig` in interface `NutchClient`

    - #### createSeed

          public String createSeed(SeedList seedList)

      Description copied from interface: `NutchClient`
      Create seed list and return seed directory location
      Specified by:
        `createSeed` in interface `NutchClient`
      Returns:

Copyright © 2021 The Apache Software Foundation